diff --git a/src/lxc/conf.c b/src/lxc/conf.c
index 5962009e34..be5e971af3 100644
--- a/src/lxc/conf.c
+++ b/src/lxc/conf.c
@@ -1530,12 +1530,10 @@ static int lxc_setup_devpts(struct lxc_handler *handler)
 	DEBUG("Mount new devpts instance with options \"%s\"", *opts);
 
 	devpts_fd = openat(-EBADF, "/dev/pts", O_CLOEXEC | O_DIRECTORY | O_PATH | O_NOFOLLOW);
-	if (devpts_fd < 0) {
+	if (devpts_fd < 0)
 		TRACE("Failed to create detached devpts mount");
-		ret = lxc_abstract_unix_send_fds(sock, NULL, 0, NULL, 0);
-	} else {
+	else
 		ret = lxc_abstract_unix_send_fds(sock, &devpts_fd, 1, NULL, 0);
-	}
 	if (ret < 0)
 		return log_error_errno(-1, errno, "Failed to send devpts fd to parent");
 
